﻿local bb101util = require "bb101util"

function data()

-- Erweiterungsfunktion zur Ansteuerung dank Hilfe von EAT1963
	--
local function brems_181 (input)
	if input.speed01 > 0.0 and input.speed01 < 0.35 then
		return {
			gain = bb101util.sampleCurve({
						{ .0, 0.5 },
						{ .05, 0.5 },
						{ .1, 0.0 },
						{ 1.0, 0.0 } }, input.power01),
			pitch = bb101util.sampleCurve({
						{ .0, 0.2 },
						{ .5, 1.0 },
						{ 1.0, 1.0 } }, input.speed01),
		}
	else
		return
				{
					gain = bb101util.sampleCurve({
									{ .0, 0.0 },
									{ 1.0, 0.0 } }, input.speed01),
					pitch = bb101util.sampleCurve({
									{ .0, 0.0 },
									{ 1.0, 0.0 } }, input.power01)
				}
	end
end


return {
	tracks = {

		{ name = "vehicle/br181/181_stand.wav", refDist = 25.0 },
		{ name = "vehicle/br181/181_luft.wav", refDist = 25.0 },
		{ name = "vehicle/br181/181_besch.wav", refDist = 25.0 },

		{ name = "vehicle/br181/181_brems.wav", refDist = 25.0 },

		{ name = "vehicle/br181/kurve.wav", refDist = 20.0 },
		{ name = "vehicle/br181/bremse_alt.wav", refDist = 25.0 },

	},
	events =  {
		horn = { names = { "vehicle/br181/181_makro.wav" }, refDist = 25.0 }
	},

	updateFn = function (input)
		local axleRefWeight = 10.0

		return {
			tracks = {

			-- Stand
				{
					gain = bb101util.sampleCurve({
									{ .0, 0.4 },
									{ .5, 0.2 },
									{ 1.0, 0.2 } }, input.power01),
					pitch = bb101util.sampleCurve({
									{ .0, 1.0 },
									{ 1.0, 1.0 } }, input.speed01)
				},
			-- Luefter
				{
					gain = bb101util.sampleCurve({
									{ .0, 0.0 },
									{ .256, 0.0 },
									{ .265, 1.2 },
									{ 1.0, 1.2 } }, input.speed01),
					pitch = bb101util.sampleCurve({
									{ .0, 0.0 },
									{ .249, 0.0 },
									{ .25, 1.0 },
									{ 1.0, 1.0 } }, input.speed01)
				},
			-- Beschl
				{
					gain = bb101util.sampleCurve({
									{ .0, 0.0 },
									{ .2, 0.0 },
									{ .25, 0.3 },
									{ 1.0, 0.5 } }, input.power01),
					pitch = bb101util.sampleCurve({
									{ .0, 0.0 },
									{ .01, 0.8 },
									{ 0.55, 2.3 },
									{ 0.85, 2.9 },
									{ 1.0, 3.3 } }, input.speed01)
				},

				brems_181 (input),
				bb101util.squeal(input.speed, input.sideForce, input.maxSideForce),
				bb101util.brake(input.speed, input.brakeDecel, 1.0),


			},

			events = {
						horn = { gain = 1.0, pitch = 1.0 }
			}
		}
	end
}
end
